<template name="invitationsList">
	{{#if hasSomeInvitations}}
		<div class="mt-4"></div>

		<div class="form-check">
			<input class="form-check-input js-showAccepted" type="checkbox" value=""
				   id="invitationsListShowAcceptedCheck">
			<label class="form-check-label"
				   for="invitationsListShowAcceptedCheck">{{i18n 'invitations.list.showAccepted' 'Show accepted invitations'}}</label>
		</div>

		{{#if invitations.count}}
			<div class="row responsive-table-head">
				<div class="col-3">{{i18n 'invitations.list.to' 'To'}}</div>

				<div class="col-2">{{i18n 'invitations.list.status' 'Status'}}
				</div>

				<div class="col-3">{{i18n 'invitations.list.acceptedBy' 'Accepted by'}}
				</div>

				<div class="col-2">{{i18n 'invitations.list.createdAt' 'Created At'}}
				</div>

				<div class="col-2">
					{{i18n 'invitations.list.remove' 'Remove'}}
					<span class="fa-solid fa-circle-info fa-fw"
						  data-tooltip="{{i18n 'invitations.list.remove.tooltip' 'Removing the invitation has no effect on the member who has already accepted.'}}"
						  data-tooltip-classes="tooltip-compact"></span>
				</div>
			</div>
			{{#each invitation in invitations}}
				<div class="row responsive-table-row">

					<div class="col-6 responsive-table-head">{{i18n 'invitations.list.to'}}</div>
					<div class="col-6 col-md-3">{{invitation.to}}</div>

					<div class="col-6 responsive-table-head">{{i18n 'invitations.list.status'}}
					</div>
					<div class="col-6 col-md-2">{{status invitation.status}}</div>

					<div class="col-6 responsive-table-head">{{i18n 'invitations.list.acceptedBy'}}
					</div>
					<div class="col-6 col-md-3">
						{{#if invitation.acceptedBy}}
							{{> profileLink invitation.acceptedBy}}
						{{else}}
							-
						{{/if}}
					</div>

					<div class="col-6 responsive-table-head">{{i18n 'invitations.list.createdAt'}}
					</div>
					<div class="col-6 col-md-2"
						 title="{{dateFormat invitation.createdAt}} {{timeFormat invitation.createdAt}}">
						{{dateFormat invitation.createdAt}}
					</div>

					<div class="col-6 responsive-table-head">
						{{i18n 'invitations.list.remove'}}
						<span class="fa-solid fa-circle-info fa-fw"
							  data-tooltip="{{i18n 'invitations.list.remove.tooltip'}}"
							  data-tooltip-classes="tooltip-compact"></span>
					</div>
					<div class="col-6 col-md-2">
						{{#with invitation}}
							<button type="button"
									class="btn btn-sm btn-delete text-danger js-remove">
								<span class="fa-solid fa-trash-can" aria-hidden="true"></span>
							</button>
						{{/with}}
					</div>

				</div>
			{{/each}}
		{{/if}}
	{{/if}}
</template>
